ApiKeyService
The ApiKeyService methods and their request and response messages.
Generated from api_key.proto. Every method is
POST /rpc/engram.app.v1.ApiKeyService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
CreateApiKey |
CreateApiKeyRequest |
CreateApiKeyResponse |
ListApiKeys |
ListApiKeysRequest |
ListApiKeysResponse |
RevokeApiKey |
RevokeApiKeyRequest |
RevokeApiKeyResponse |
CreateCliKey |
CreateCliKeyRequest |
CreateCliKeyResponse |
RevokeCliKey |
RevokeCliKeyRequest |
RevokeCliKeyResponse |
WhoAmI |
WhoAmIRequest |
WhoAmIResponse |
Messages
Section titled “Messages”ApiKeyMeta
Section titled “ApiKeyMeta”| Field | Type |
|---|---|
id |
string |
name |
string |
role |
string |
start |
string |
created_at |
string |
expires_at |
string |
last_used_at |
string |
owner_email |
string |
CreateApiKeyRequest
Section titled “CreateApiKeyRequest”| Field | Type |
|---|---|
name |
string |
role |
string |
expires_at |
string |
CreateApiKeyResponse
Section titled “CreateApiKeyResponse”| Field | Type |
|---|---|
meta |
ApiKeyMeta |
key |
string |
CreateCliKeyRequest
Section titled “CreateCliKeyRequest”| Field | Type |
|---|---|
name |
string |
CreateCliKeyResponse
Section titled “CreateCliKeyResponse”| Field | Type |
|---|---|
meta |
ApiKeyMeta |
key |
string |
ListApiKeysRequest
Section titled “ListApiKeysRequest”No fields.
ListApiKeysResponse
Section titled “ListApiKeysResponse”| Field | Type |
|---|---|
keys |
repeated ApiKeyMeta |
RevokeApiKeyRequest
Section titled “RevokeApiKeyRequest”| Field | Type |
|---|---|
id |
string |
RevokeApiKeyResponse
Section titled “RevokeApiKeyResponse”| Field | Type |
|---|---|
revoked |
bool |
RevokeCliKeyRequest
Section titled “RevokeCliKeyRequest”| Field | Type |
|---|---|
id |
string |
RevokeCliKeyResponse
Section titled “RevokeCliKeyResponse”| Field | Type |
|---|---|
revoked |
bool |
WhoAmIRequest
Section titled “WhoAmIRequest”No fields.
WhoAmIResponse
Section titled “WhoAmIResponse”| Field | Type |
|---|---|
user_id |
string |
email |
string |
name |
string |
role |
string |
service_account |
bool |